
TYPO3.Flow - Bug # 46072

Status: Resolved Priority: Should have
Author: Dominique Feyer Category:
Created: 2013-03-06 Assigned To:
Updated: 2013-04-12 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: (any)
Subject: Scripts::executeCommand must support command arguments
Description

Currently it's not supported to have command arguments in a CLI subcommand, this patch propose to solve this with this API, and it's
not a breaking change:

Scripts::executeCommand('namespace.vendor:command:action', $this->settings, TRUE, array('--arg1', $value1, '--arg2', $value2));

Everything is correctly escaped, patch is coming

Associated revisions
Revision aa3f832d - 2013-03-22 09:52 - Dominique Feyer

[FEATURE] Support arguments in Scripts::executeCommand

Previously it was not supported to have command arguments in a CLI
subcommand. This patch solves this issue by adding a $commandArguments
parameter to the executeCommand() method.

Resolves: #46072
Releases: 2.0, master
Change-Id: Ie045e6aaefea7803516745a4dd0d9ab9453106f1

Revision 5ee0e9de - 2013-04-12 14:21 - Dominique Feyer

[FEATURE] Support arguments in Scripts::executeCommand

Previously it was not supported to have command arguments in a CLI
subcommand. This patch solves this issue by adding a $commandArguments
parameter to the executeCommand() method.

Resolves: #46072
Releases: 2.0, master
Change-Id: Ie045e6aaefea7803516745a4dd0d9ab9453106f1

History
#1 - 2013-03-06 18:35 - Dominique Feyer

Better API (respect the storage format of the current command in this->request->getArguments()
Scripts::executeCommand('namespace.vendor:command:action', $this->settings, TRUE, array('arg1' => $value1, 'arg2' => $value2));

#2 - 2013-03-06 19:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18758

#3 - 2013-03-06 19:07 - Dominique Feyer

Better API (respect the storage format of the current command in this->request->getArguments()

Scripts::executeCommand('namespace.vendor:command:action', $this->settings, TRUE, array('arg1' => $value1, 'arg2' => $value2));

#4 - 2013-03-22 09:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18758

#5 - 2013-03-22 09:52 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18758

#6 - 2013-04-12 14:21 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19830

#7 - 2013-04-12 14:39 - Dominique Feyer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5ee0e9deaf97b96d12426cdf0cf09e20b890f7a1.
